/**
 * @file
 * Grunt file for compiling scss to css.
 */
module.exports = function (grunt) {
  grunt.initConfig({
    pkg: grunt.file.readJSON('package.json'),

    // Tasks
    'dart-sass': {
      target: {
        options: {
          sourceMap: true,
        },
        files: [{
          expand: true,
          cwd: 'assets/scss/',
          src: ['main.scss'],
          dest: 'assets/css',
          ext: '.css'
        }]
      }
    },
    stylelint : {
      options: {
        configFile: '.stylelintrc.json',
        fix: true,
        failOnError: false
      },
      src: [
        'assets/css/main.css'
      ]
    },
    watch: {
      // Compile everything into one task with Watch Plugin
      css: {
        files: '**/*.scss',
        tasks: ['dart-sass', 'stylelint'],
      },
    }
  })
  grunt.loadNpmTasks('grunt-dart-sass');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-stylelint');

  grunt.registerTask('default', [
    'watch'
  ]);

}

